import request from '@/utils/request'

// 查询短信通知列表
export function listPhone(data) {
  return request({
    url: '/tBaseConfigPhone/list',
    method: 'post',
    data: data
  })
}
// 查询短信通知列表-不分页
export function getPhoneList(data) {
  return request({
    url: '/tBaseConfigPhone/getPhoneList',
    method: 'post',
    data: data
  })
}

// 查询短信通知详细
export function getPhone(id) {
  return request({
    url: '/tBaseConfigPhone/' + id,
    method: 'get'
  })
}

// 新增短信通知
export function addPhone(data) {
  return request({
    url: '/tBaseConfigPhone',
    method: 'post',
    data: data
  })
}

// 修改短信通知
export function updatePhone(data) {
  return request({
    url: '/tBaseConfigPhone',
    method: 'put',
    data: data
  })
}

// 删除短信通知
export function delPhone(id) {
  return request({
    url: '/tBaseConfigPhone/' + id,
    method: 'delete'
  })
}

// 导出短信通知
export function exportPhone(query) {
  return request({
    url: '/tBaseConfigPhone/export',
    method: 'get',
    params: query
  })
}
